Bug 1271610 - Kie server Xstream Sybase 15.7 issue
Kie server Xstream Sybase 15.7 issue
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Kie-Server (Show other bugs)
6.1.0
Unspecified Unspecified
urgent Severity urgent
: ER5
: 6.2.0
Assigned To: Maciej Swiderski
Karel Suta
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 07:28 EDT by Karel Suta
Modified: 2015-11-05 10:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stacktrace (8.24 KB, text/plain)
2015-10-14 07:28 EDT, Karel Suta
no flags Details

  None (edit)
Description Karel Suta 2015-10-14 07:28:24 EDT
Created attachment 1082784 [details]
stacktrace

Description of problem:
Kie server has an issue with XStream (un)marshalling when used with Sybase 15.7 - see attachment.


Version-Release number of selected component (if applicable):
6.2.0.ER3

How reproducible:
Deploy kie server connected to Sybase database. Run jbpm tests, for example RuntimeDataServiceIntegrationTest.

Steps to Reproduce:
1.
2.
3.

Actual results:
Exception is thrown (see attachment).

Expected results:
All tests pass.

Additional info:
Comment 2 Maciej Swiderski 2015-10-16 09:38:15 EDT
fixed by rewriting date object to avoid serialization of sybase specific impl classes by xstream

droolsjbpm-integration
master:
https://github.com/droolsjbpm/droolsjbpm-integration/commit/b262c60f4af0233f3cde5cc70e03a2e42101efd7

6.3.x:
https://github.com/droolsjbpm/droolsjbpm-integration/commit/c2246fe2130a17df778f93a782fcc9bb3adfc850
Comment 3 Karel Suta 2015-11-05 10:43:36 EST
Verified in 6.2.0ER5.
RuntimeDataServiceIntegrationTest passed without issues.

Note You need to log in before you can comment on or make changes to this bug.